/*
-------------------------------------------------------------------------------
!    This source code is part of
!    REIN (Replica-Exchange INterface program) version 1.0
!
!    Written by Naoyuki Miyashita and Yuji Sugita
!    Copyright (c) 2012, RIKEN, Japan
!
!    This program is free software; you can redistribute it and/or
!    modify it under the terms of the GNU General Public License
!    as published by the Free Software Foundation, either
!    version 3 of the License, or (at your option) any later version.
!
!    This program is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied
!    warranty of MERCHANTABILITY or FITNESS FOR
!    A PARTICULAR PURPOSE.
!    See the GNU General Public License for more details.
!
!    You should have received a copy of the GNU General
!    Public License along with REIN.
!    If not, see <http://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------
 */

//------------------------------------------------------------------------------
#ifndef __c_io_gromacs_cv1_h__
#define __c_io_gromacs_cv1_h__
//------------------------------------------------------------------------------
#include "c_types.h"
//------------------------------------------------------------------------------
typedef struct _grxInfo
{
  FILE* file;

  cInt  firstIO;
  cInt  step;
} grxInfo ;
//------------------------------------------------------------------------------

#define MAX_GRX_FILE    10

#ifndef _MACOSX
#define GRX_FOPEN      fopen64
#else
#define GRX_FOPEN      fopen
#endif

//------------------------------------------------------------------------------
#endif // !__c_io_gromacs_cv1_h__
//------------------------------------------------------------------------------
